Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#33009 - [firefox] Enable GStreamer support

Attached to Project: Arch Linux
Opened by Kevin Cox (kevincox) - Saturday, 08 December 2012, 02:47 GMT
Last edited by Jan de Groot (JGC) - Monday, 17 December 2012, 11:35 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Ionut Biru (wonder)
Architecture All
Severity Low
Priority Normal
Reported Version 4.0.3
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Currently the option to enable GStreamer in FireFox is commented out. Unless there is a good reason for not enabling it I think that it should be enabled.

From this bug https://bugzil.la/794282 it appears that the consensus is to enable it but they were worried about library compatibility in official builds. Seeing as that won't be an issue for any one distribution I see no reason not to have this enabled.
This task depends upon

Closed by  Jan de Groot (JGC)
Monday, 17 December 2012, 11:35 GMT
Reason for closing:  Won't implement
Comment by Jan de Groot (JGC) - Monday, 17 December 2012, 08:11 GMT
I don't see need to implement an API that has already been deprecated. If Firefox would support GStreamer 1.0, I would enable it, but 0.10.x is no-go, as upstream doesn't do regular releases for 0.10 anymore.

As official builds don't enable it either, I see no need to change this for now.

Loading...